AC_DEFUN(AC_CHECK_CDK,
[
	AC_SUBST(CDK_LIBS)
	AC_SUBST(CDK_INCLUDES)

 	AC_ARG_WITH(cdk, [[  --with-cdk[=dir]    Compile with cdk/locate base dir]],
	[
		with_arg=$withval/include:-L$withval/lib
	])


	incl=`echo "$i" | sed 's/:.*//'`	# 'gupi vim
	lib=`echo "$i" | sed 's/.*://'`		# 'gupi vim
	path=`echo "$incl" | sed 's/^..//'`	# 'gupi vim

	cppflags="$CPPFLAGS"
	ldflags="$LDFLAGS"

	CPPFLAGS="$CPPFLAGS $incl"
	LDFLAGS="$LDFLAGS $libs"

	have_cdk_cdk_h=""
	if test "x$path" = "x" -o -f "$path/cdk/cdk.h"; then
		AC_CHECK_HEADERS([cdk/cdk.h], [
			CDK_INCLUDES="$incl"
			have_cdk_cdk_h=yes
			
		])
	fi
	if test "x$have_cdk_cdk_h" = "xyes"; then
		have_libncdk=""
		AC_CHECK_LIB(cdk, initCDKScreen,
		[
			CDK_LIBS="$libs -lcdk"
			have_libcdk=yes
		])
			if test "x$have_libcdk" = "xyes"; then
			AC_DEFINE(HAVE_CDK, 1, [define if cdk is installed])
			have_cdk=yes
			break
		fi
	fi

	CPPFLAGS="$cppflags"
	LDFLAGS="$ldflags"
])


